# Retrieve all generated addresses

Endpoint: GET /v1/domains/{domainId}/accounts/{accountId}/addresses
Security: httpAuth

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

  - `accountId` (string, required)

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    AccountAddressId id used to the determine beginning of query results.

  - `sortBy` (string)
    Property name used to sort the query results.
    Enum: "id", "ledgerId", "address", "createdAt", "scope"

  - `sortOrder` (string)
    Sort order applied to the query results.
    Enum: "ASC", "DESC"

  - `ledgerId` (array)
    Return addresses matching given ledgers.
    Example: ["1234567","abcdefg"]

  - `lastOnly` (boolean)
    Return only last addresses for matching ledgers.
    Example: "true"

  - `scope` (array)
    Return addresses matching given scopes.
    Enum: "Internal", "External"

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.data` (object, required)

  - `items.data.id` (string, required)

  - `items.data.ledgerId` (string, required)

  - `items.data.domainId` (string)

  - `items.data.accountId` (string)

  - `items.data.address` (string, required)

  - `items.data.keyPath` (string)

  - `items.data.createdAt` (string, required)

  - `items.data.scope` (string, required)
    Enum: "Internal", "External"

  - `items.signature` (string)

  - `items.signingKey` (string)

  - `items.id` (string, required)
    Deletion target: Dec. 1st 2024

  - `items.ledgerId` (string, required)
    Deletion target: Dec. 1st 2024

  - `items.address` (string, required)
    Deletion target: Dec. 1st 2024

  - `items.keyPath` (string)
    Deletion target: Dec. 1st 2024

  - `items.createdAt` (string, required)
    Deletion target: Dec. 1st 2024

  - `items.scope` (string, required)
    Deletion target: Dec. 1st 2024
    Enum: "Internal", "External"

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 400 fields (application/json):

  - `reason` (string, required)

  - `message` (string)


